[HarfBuzz] harfbuzz: Branch 'master' - 5 commits

Behdad Esfahbod behdad at kemper.freedesktop.org
Tue Feb 20 18:32:52 UTC 2018


 .circleci/config.yml    |   14 ++++++++------
 src/dev-run.sh          |   46 +++++++++++++++++++++++++++++++---------------
 src/hb-ot-cmap-table.hh |    2 +-
 3 files changed, 40 insertions(+), 22 deletions(-)

New commits:
commit d1f16fce963092404bf0b59e449a3215ca031b54
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Tue Feb 20 10:32:09 2018 -0800

    Don't use %zu
    
    Some of our bots / compilers don't like it. Wasn't caught by bots because this
    is only in debug code.
    
    https://github.com/harfbuzz/harfbuzz/pull/809/commits/825ad378e0f0e6e6bb690894a0d5d25f198be21b

diff --git a/src/hb-ot-cmap-table.hh b/src/hb-ot-cmap-table.hh
index 8d9ade43..4593152b 100644
--- a/src/hb-ot-cmap-table.hh
+++ b/src/hb-ot-cmap-table.hh
@@ -604,7 +604,7 @@ struct cmap
                    + 12 * groups.len; // SequentialMapGroup records
     void *dest = calloc (dest_sz, 1);
     if (unlikely (!dest)) {
-      DEBUG_MSG(SUBSET, nullptr, "Unable to alloc %zu for cmap subset output", dest_sz);
+      DEBUG_MSG(SUBSET, nullptr, "Unable to alloc %lu for cmap subset output", (unsigned long) dest_sz);
       return false;
     }
 
commit c7e834a2fc5f8fb81f5316447e4075902d58d8a3
Author: Ebrahim Byagowi <ebrahim at gnu.org>
Date:   Tue Feb 20 17:59:04 2018 +0330

    [dev-run] minor

diff --git a/src/dev-run.sh b/src/dev-run.sh
index 8589f62d..5a7ae102 100755
--- a/src/dev-run.sh
+++ b/src/dev-run.sh
@@ -33,6 +33,6 @@ if [[ "$answer" = "y" ]]; then
 	if [[ $CMAKENINJA ]]; then
 		CTEST_OUTPUT_ON_FAILURE=1 CTEST_PARALLEL_LEVEL=5 ninja -Cbuild test
 	else
-		make -j5 check && .ci/fail.sh
+		make -Cbuild -j5 check && .ci/fail.sh
 	fi
 fi
commit 975c35214f8c8f0d90a8b114e1a8c06d5ecdecfd
Author: Ebrahim Byagowi <ebrahim at gnu.org>
Date:   Tue Feb 20 17:49:29 2018 +0330

    [dev-run] Support autotools builds

diff --git a/src/dev-run.sh b/src/dev-run.sh
index 2c50dc58..8589f62d 100755
--- a/src/dev-run.sh
+++ b/src/dev-run.sh
@@ -1,22 +1,38 @@
 #!/bin/bash
-
-for cmd in cmake ninja entr; do
-    command -v $cmd >/dev/null 2>&1 || { echo >&2 "This script needs $cmd be installed"; exit 1; }
-done
+# Suggested setup to use the script:
+#  (on the root of the project)
+#  $ NOCONFIGURE=1 ./autogen.sh --with-freetype --with-glib --with-gobject --with-cairo
+#  $ mkdir build && cd build && ../configure && make -j5 && cd ..
+#  $ src/dev-run.sh [FONT-FILE] [TEXT]
+#
+# Or, using cmake:
+#  $ cmake -DHB_CHECK=ON -Bbuild -H. -GNinja && ninja -Cbuild
+#  $ src/dev-run.sh [FONT-FILE] [TEXT]
+#
 
 [ $# = 0 ] && echo Usage: "src/dev-run.sh [FONT-FILE] [TEXT]" && exit
+command -v entr >/dev/null 2>&1 || { echo >&2 "This script needs `entr` be installed"; exit 1; }
 
-cmake -DHB_CHECK=ON -DHB_DISABLE_TEST_PROGS=ON -Bbuild -H. -GNinja
-ninja -Cbuild
-
+[ -f 'build/build.ninja' ] && CMAKENINJA=TRUE
 # or "fswatch -0 . -e build/ -e .git"
-find src/ | entr printf '\0' | while read -d "" event; do
-    clear
-    ninja -Cbuild
-    build/hb-shape $@
-    build/hb-view $@
+find src/ | entr printf '\0' | while read -d ""; do
+	clear
+	if [[ $CMAKENINJA ]]; then
+		ninja -Cbuild hb-shape hb-view
+		build/hb-shape $@
+		build/hb-view $@
+	else
+		make -Cbuild/src -j5 -s lib
+		build/util/hb-shape $@
+		build/util/hb-view $@
+	fi
 done
 
-cmake -DHB_CHECK=ON -DHB_DISABLE_TEST_PROGS=OFF -Bbuild -H. -GNinja
-ninja -Cbuild
-CTEST_OUTPUT_ON_FAILURE=1 CTEST_PARALLEL_LEVEL=8 ninja -Cbuild test
+read -n 1 -p "Run the tests (y/n)? " answer
+if [[ "$answer" = "y" ]]; then
+	if [[ $CMAKENINJA ]]; then
+		CTEST_OUTPUT_ON_FAILURE=1 CTEST_PARALLEL_LEVEL=5 ninja -Cbuild test
+	else
+		make -j5 check && .ci/fail.sh
+	fi
+fi
commit 25136d9b7265d8920a78f3f832f1c69da4ef1f5b
Author: Dominik Röttsches <drott at chromium.org>
Date:   Tue Feb 20 10:26:07 2018 +0200

    Use %zu format specifier for size_t to fix cross platform build
    
    Fixes Chromium Android builds, compare
    https://ci.chromium.org/buildbot/tryserver.chromium.android/linux_android_rel_ng/491787

diff --git a/src/hb-ot-cmap-table.hh b/src/hb-ot-cmap-table.hh
index 284b62cd..8d9ade43 100644
--- a/src/hb-ot-cmap-table.hh
+++ b/src/hb-ot-cmap-table.hh
@@ -604,7 +604,7 @@ struct cmap
                    + 12 * groups.len; // SequentialMapGroup records
     void *dest = calloc (dest_sz, 1);
     if (unlikely (!dest)) {
-      DEBUG_MSG(SUBSET, nullptr, "Unable to alloc %ld for cmap subset output", dest_sz);
+      DEBUG_MSG(SUBSET, nullptr, "Unable to alloc %zu for cmap subset output", dest_sz);
       return false;
     }
 
commit 53cf61b0299775f94c625de1bb0a7979b3b0c379
Author: Ebrahim Byagowi <ebrahim at gnu.org>
Date:   Tue Feb 20 10:53:10 2018 +0330

    Change Alpine and ArchLinux bot to test O3 and O0 on gcc, #801

diff --git a/.circleci/config.yml b/.circleci/config.yml
index 5c27bb35..e30b5b45 100644
--- a/.circleci/config.yml
+++ b/.circleci/config.yml
@@ -15,23 +15,25 @@ jobs:
       - run: rm -rf harfbuzz-*
       - run: make distdir && cd harfbuzz-* && cmake -DHB_CHECK=ON -Bbuild -H. -GNinja && ninja -Cbuild && CTEST_OUTPUT_ON_FAILURE=1 ninja -Cbuild test && ninja -Cbuild install
 
-  alpine:
+  alpine-O3:
     docker:
       - image: alpine
     steps:
       - checkout
       - run: apk update && apk add ragel make pkgconfig libtool autoconf automake gettext gcc g++ glib-dev freetype-dev cairo-dev
-      - run: ./autogen.sh
+      # C??FLAGS are not needed for a regular build
+      - run: CFLAGS="-O3" CXXFLAGS="-O3" ./autogen.sh
       - run: make
       - run: make check || .ci/fail.sh
 
-  archlinux-debug:
+  archlinux-debug-O0:
     docker:
       - image: base/devel
     steps:
       - checkout
       - run: pacman --noconfirm -Syu freetype2 cairo icu gettext gobject-introspection gcc gcc-libs glib2 graphite pkg-config ragel python
-      - run: CPPFLAGS="-DHB_DEBUG" ./autogen.sh --with-freetype --with-glib --with-gobject --with-cairo --with-icu --with-graphite2
+      # C??FLAGS are not needed for a regular build
+      - run: CFLAGS="-O0" CXXFLAGS="-O0" CPPFLAGS="-DHB_DEBUG" ./autogen.sh --with-freetype --with-glib --with-gobject --with-cairo --with-icu --with-graphite2
       - run: make
       - run: make check || .ci/fail.sh
 
@@ -149,8 +151,8 @@ workflows:
       - distcheck
 
       # autotools based builds
-      - alpine
-      - archlinux-debug
+      - alpine-O3
+      - archlinux-debug-O0
       - fedora-outoftreebuild
 
       # cmake based builds


More information about the HarfBuzz mailing list